Package org.springframework.web.util

# Enum Class UriComponentsBuilder.ParserType

java.lang.Object
java.lang.Enum<UriComponentsBuilder.ParserType>
org.springframework.web.util.UriComponentsBuilder.ParserType

All Implemented Interfaces:
  `Serializable`, `Comparable<UriComponentsBuilder.ParserType>`, `Constable`

Enclosing class:
  UriComponentsBuilder

public static enum UriComponentsBuilder.ParserType extends Enum<UriComponentsBuilder.ParserType>
Enum to provide a choice of URI parsers to use in `UriComponentsBuilder.fromUriString(String, ParserType)`.

Since:
  6.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RFC`
This parser type expects URI's to conform to RFC 3986 syntax.
`WHAT_WG`
This parser follows the URL parsing algorithm in the WhatWG URL Living standard that browsers implement to align on lenient handling of user typed URL's that may not conform to RFC syntax.

## Method Summary

Modifier and Type
Method
Description
`static UriComponentsBuilder.ParserType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UriComponentsBuilder.ParserType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RFC

public static final UriComponentsBuilder.ParserType RFC
This parser type expects URI's to conform to RFC 3986 syntax.

### WHAT_WG

public static final UriComponentsBuilder.ParserType WHAT_WG
This parser follows the URL parsing algorithm in the WhatWG URL Living standard that browsers implement to align on lenient handling of user typed URL's that may not conform to RFC syntax.

See Also:
  - URL Living Standard
  - URL tests

## Method Details

### values

public static UriComponentsBuilder.ParserType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UriComponentsBuilder.ParserType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null